QRCodes
هذه الصفحة غير متوفرة باللغة العربية. يتم عرض النسخة الإنجليزية.
Get Icons
Authorization
appToken readAuthorizationBearer <token>
App access token issued by POST /tokens (client credentials). Full-access Apps hold the read and write scopes, read-only Apps hold read only. Send it as Authorization: Bearer <token>.
In: header
Scope: read
Query Parameters
limit?integer
Default
20offset?integer
Default
0filter[iconPriority]?integer
Exact match. Non-integer value returns an empty list.
filter[iconName]?string
Partial, case-insensitive match.
sort_by?string
Value in
- "name"
- "priority"
- "createTime"
- "updateTime"
sort_order?string
Value in
- "asc"
- "desc"
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/qrcodes/icons"{ "total": 0, "icons": [ { "iconId": "string", "name": "string", "priority": 0, "image": "string", "createTime": "2019-08-24T14:15:22Z", "updateTime": "2019-08-24T14:15:22Z" } ]}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}